Ошибка при вызове метода openssl_sign

Обсуждение проблем в работе программного комплекса
KJlbIK
Сообщения: 7
Зарегистрирован:
04 янв 2017, 13:26

Ошибка при вызове метода openssl_sign

KJlbIK » 04 янв 2017, 13:33

При вызове метода openssl_sign крашится апатч. Пробовал как советуют на забугорных форумах - перекинуть файлы libeay32.dll и ssleay32.dll из папки с PHP в папку с апачем - тогда перестает запускаться апатч вообще.

Конфигурация:
OpenServer 5.2.2
PHP 5.3
Apache 2.2
Сигнатура проблемы:
  Имя события проблемы:	BEX
  Имя приложения:	httpd.exe
  Версия приложения:	2.2.31.0
  Отметка времени приложения:	55a77942
  Имя модуля с ошибкой:	StackHash_0a9e
  Версия модуля с ошибкой:	0.0.0.0
  Отметка времени модуля с ошибкой:	00000000
  Смещение исключения:	00000000
  Код исключения:	c0000005
  Данные исключения:	00000008
  Версия ОС:	6.1.7601.2.1.0.256.1
  Код языка:	1049
  Дополнительные сведения 1:	0a9e
  Дополнительные сведения 2:	0a9e372d3b4ad19135b953a78882e789
  Дополнительные сведения 3:	0a9e
  Дополнительные сведения 4:	0a9e372d3b4ad19135b953a78882e789
Аватара пользователя
Максим
Сообщения: 5392
Зарегистрирован:
11 дек 2010, 20:29
Контактная информация:

Re: Ошибка при вызове метода openssl_sign

Максим » 04 янв 2017, 15:14

В OSPanel используются модули Apache от Apache Lounge. Возможно там есть проблема совместимости openssl или это происходит из-за разности сборки apache и php (VC10 и VC9).

Вот вам модуль Apache-2.2 от Apache Haus, удалите папку modules/http/Apache-2.2 и распакуйте архив из этого сообщения в папку с модулями modules/http/ на место старого. Проверил, с этим модулем ничего не падает.
Вложения
Apache-2.2.zip
(4.65 МБ) 40 скачиваний
KJlbIK
Сообщения: 7
Зарегистрирован:
04 янв 2017, 13:26

Re: Ошибка при вызове метода openssl_sign

KJlbIK » 04 янв 2017, 16:46

Максим писал(а):Вот вам модуль Apache-2.2 от Apache Haus, удалите папку modules/http/Apache-2.2 и распакуйте архив из этого сообщения в папку с модулями modules/http/ на место старого. Проверил, с этим модулем ничего не падает.
заменил, все равно падает

Сигнатура проблемы:
Имя события проблемы: BEX
Имя приложения: httpd.exe
Версия приложения: 2.2.31.0
Отметка времени приложения: 57efd3eb
Имя модуля с ошибкой: StackHash_0a9e
Версия модуля с ошибкой: 0.0.0.0
Отметка времени модуля с ошибкой: 00000000
Смещение исключения: 00000000
Код исключения: c0000005
Данные исключения: 00000008
Версия ОС: 6.1.7601.2.1.0.256.1
Код языка: 1049
Дополнительные сведения 1: 0a9e
Дополнительные сведения 2: 0a9e372d3b4ad19135b953a78882e789
Дополнительные сведения 3: 0a9e
Дополнительные сведения 4: 0a9e372d3b4ad19135b953a78882e789

Ознакомьтесь с заявлением о конфиденциальности в Интернете:
http://go.microsoft.com/fwlink/?linkid= ... cid=0x0419

Если заявление о конфиденциальности в Интернете недоступно, ознакомьтесь с его локальным вариантом:
C:\Windows\system32\ru-RU\erofflps.txt
Аватара пользователя
Максим
Сообщения: 5392
Зарегистрирован:
11 дек 2010, 20:29
Контактная информация:

Re: Ошибка при вызове метода openssl_sign

Максим » 04 янв 2017, 17:16

Какой HTTP модуль у вас включён (Apache-2.2 или Apache-2.2+Nginx)? Вы удалили старую папку с модулем или копировали сверху, если второе, то подтвердили ли вы перезапись файлов?
Аватара пользователя
Максим
Сообщения: 5392
Зарегистрирован:
11 дек 2010, 20:29
Контактная информация:

Re: Ошибка при вызове метода openssl_sign

Максим » 04 янв 2017, 17:19

Всё понял, я проверял на 5.4. Проблема лишь на старой версии PHP 5.3. Переключитесь на 5.4.
KJlbIK
Сообщения: 7
Зарегистрирован:
04 янв 2017, 13:26

Re: Ошибка при вызове метода openssl_sign

KJlbIK » 06 янв 2017, 06:20

Максим писал(а):Всё понял, я проверял на 5.4. Проблема лишь на старой версии PHP 5.3. Переключитесь на 5.4.
не помогло. на XAMPP все работает как часы
KJlbIK
Сообщения: 7
Зарегистрирован:
04 янв 2017, 13:26

Re: Ошибка при вызове метода openssl_sign

KJlbIK » 06 янв 2017, 06:22

Помог переход на php 5.6 + Appache 2.4
Аватара пользователя
Максим
Сообщения: 5392
Зарегистрирован:
11 дек 2010, 20:29
Контактная информация:

Re: Ошибка при вызове метода openssl_sign

Максим » 06 янв 2017, 09:03

KJlbIK, при правильном обновлении HTTP модуля и выборе PHP выше 5.3 проблемы нет. Тему закрываю.
Закрыто